#pragma once
//stl
#include <iostream>
//robotics
#include <robotics/datetime.hpp>

using namespace robotics;

/* ************************************************
* 作者:Lenovo
* 时间:2024/6/3 21:14:08
* 机器名:DESKTOP-4I13MDL
* 实体类名:web_sync_alarm_info
* 数据库表名 				[[SqlTable("xxx")]]
* 不生成反射 				[[NoReflect]]
* Json字段名 			[[Json("xxx")]]
* 不生成Json字段 			[[NoJson(true)]]
* Sql字段名  			[[Sql("xxx")]]
* 不生成Sql字段 			[[NoSql(true)]]
* Excel字段名			[[Excel("xxx")]]
* 不生成Excel字段 		[[NoExcel(true)]]
* *************************************************/

/**
 * @brief 表示网站品牌配置的信息结构体。
 */
struct web_sync_alarm_info
{
	/**
	 * @brief 表示一个带有 JSON 映射的闹钟时间字段。
	 */
	[[Json("alarmTime")]]
	v3::datetime alarm_time;
	/**
	 * @brief 声明并初始化一个名为 type_no 的整数变量。
	 */
	[[Json("deviceTypeNum")]]
	int type_no = 0;
	/**
	 * @brief 表示一个名为 little_no 的整数变量，并通过 Json("deviceLittleNum") 属性进行序列化映射。
	 */
	[[Json("deviceLittleNum")]]
	int little_no = 0;
	/**
	 * @brief 表示配件编号的变量。
	 */
	[[Json("deviceFittingNum")]]
	int device_fitting_no = 0;
	/**
	 * @brief 表示模型编号的整数变量。
	 */
	[[Json("specNum")]]
	int model_no = 0;
	/**
	 * @brief 表示配件编号的整型变量，并通过Json注解指定序列化名称为"fittingNum"。
	 */
	[[Json("fittingNum")]]
	int fitting_no = 0;
	/**
	 * @brief 定义并初始化一个名为 bran_no 的整数变量。
	 */
	[[Json("brandNum")]]
	int bran_no = 0;
	/**
	 * @brief 表示警报编号的变量。
	 */
	[[Json("alarmNum")]]
	int alarm_no = 0;
	/**
	 * @brief 表示报警状态的整型变量。
	 */
	[[Json("alarmState")]]
	int alarm_status = 0;
};